Skip to main content
GET
/
groups
/
{guid}
/
conversation
Get Group Conversation
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation \
  --header 'apikey: <api-key>' \
  --header 'onBehalfOf: <onbehalfof>'
{
  "data": [
    {
      "conversationId": "group_project-group",
      "conversationType": "group",
      "unreadMessageCount": "0",
      "createdAt": 1630071782,
      "updatedAt": 1630481413,
      "lastMessage": {
        "id": "50",
        "conversationId": "group_project-group",
        "sender": "cometchat-uid-4",
        "receiverType": "group",
        "receiver": "project-group",
        "category": "action",
        "type": "groupMember",
        "data": {
          "action": "unbanned",
          "entities": {
            "by": {
              "entity": {
                "uid": "cometchat-uid-4",
                "name": "Susan Marie",
                "role": "default",
                "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-4.webp",
                "status": "offline",
                "createdAt": 1629869270
              },
              "entityType": "user"
            },
            "on": {
              "entity": {
                "uid": "cometchat-uid-3",
                "link": "https://data-us.cometchat.io/assets",
                "name": "George Alan",
                "role": "default",
                "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp",
                "status": "offline",
                "createdAt": 1629869270,
                "updatedAt": 1629964825,
                "conversationId": "cometchat-uid-3_user_cometchat-uid-4"
              },
              "entityType": "user"
            },
            "for": {
              "entity": {
                "guid": "project-group",
                "icon": "https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp",
                "name": "Project Group1",
                "type": "private",
                "owner": "cometchat-uid-4",
                "createdAt": 1630071341,
                "updatedAt": 1630305525,
                "updatedBy": "cometchat-uid-4",
                "description": "project related discussions between members",
                "membersCount": 4,
                "conversationId": "group_project-group"
              },
              "entityType": "group"
            }
          }
        },
        "sentAt": 1630305562,
        "updatedAt": 1630305562
      },
      "conversationWith": {
        "guid": "project-group",
        "name": "Project Group1",
        "description": "project related discussions between members",
        "icon": "https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp",
        "type": "private",
        "scope": "participant",
        "membersCount": 4,
        "joinedAt": 1630071782,
        "conversationId": "group_project-group",
        "hasJoined": true,
        "createdAt": 1630071341,
        "owner": "cometchat-uid-4",
        "updatedAt": 1630308875,
        "updatedBy": "cometchat-uid-4"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Headers

onBehalfOf
string
required

UID of the user on whose behalf the action is performed.

Path Parameters

guid
string
required

GUID of the group whose conversation is being accessed.

Response

200 - application/json

Get user Conversations

data
object